Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.netcomm
Class NetConfigMessage

    java.lang.Object
      madkit.kernel.Message
          madkit.netcomm.NetConfigMessage

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public final class NetConfigMessage

extends Message

Version:
  $Revision: 1.2 $
Author:
  Sebastian Rodriguez - sebastian.rodriguez@utbm.fr
See Also:
  Serialized Form

Constructor Summary
`NetConfigMessage()` Creates a new Configuration Message

Method Summary
`static void` | `defaultValues()` Resets all configuration values to its defaults values.
`static long` | `getSamplePeriod()`
`static boolean` | `isAcceptBroadCast()`
`static boolean` | `isDebug()`
`static boolean` | `isEnableStat()`
`static void` | `setAcceptBroadCast(boolean acceptBroadCast)`
`static void` | `setDebug(boolean debug)`
`static void` | `setEnableStat(boolean enableStat)`
`static void` | `setSamplePeriod(long samplePeriod)`

Methods inherited from class madkit.kernel.Message
`clone, getCreationDate, getReceiver, getSender, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NetConfigMessage

    public NetConfigMessage()

  Creates a new Configuration Message

Method Detail

### defaultValues

    public static void defaultValues()

  Resets all configuration values to its defaults values. enableStat: false samplePeriod: StatsAgent.DEFAULT_SAMPLE_PERIOD debug: false acceptBroadcast: true

### isAcceptBroadCast

    public static final boolean isAcceptBroadCast()

  Returns:
    Returns the acceptBroadCast.

### setAcceptBroadCast

    public static final void setAcceptBroadCast(boolean acceptBroadCast)

  Parameters:
    `acceptBroadCast` - The acceptBroadCast to set.

### isDebug

    public static final boolean isDebug()

  Returns:
    Returns the debug.

### setDebug

    public static final void setDebug(boolean debug)

  Parameters:
    `debug` - The debug to set.

### isEnableStat

    public static final boolean isEnableStat()

  Returns:
    Returns the enableStat.

### setEnableStat

    public static final void setEnableStat(boolean enableStat)

  Parameters:
    `enableStat` - The enableStat to set.

### getSamplePeriod

    public static final long getSamplePeriod()

  Returns:
    Returns the samplePeriod.

### setSamplePeriod

    public static final void setSamplePeriod(long samplePeriod)

  Parameters:
    `samplePeriod` - The samplePeriod to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.